javax.swing.plaf.basic

## Class BasicComboPopup.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.PropertyChangeHandler

All Implemented Interfaces:
  PropertyChangeListener, EventListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.PropertyChangeHandler
    extends Object
    implements PropertyChangeListener

This listener watches for bound properties that have changed in the combo box.

Subclasses which wish to listen to combo box property changes should call the superclass methods to ensure that the combo popup correctly handles property changes.

See Also:
  `BasicComboPopup.createPropertyChangeListener()`

### Constructor Summary

Constructors
`protected` `BasicComboPopup.PropertyChangeHandler()`

### Method Summary

Methods
`void` `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicComboPopup.PropertyChangeHandler

    protected BasicComboPopup.PropertyChangeHandler()

### Method Detail

#### propertyChange

    public void propertyChange(PropertyChangeEvent e)

Description copied from interface: `PropertyChangeListener`
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.